=== debian/changelog ===
texlive-bin (2022.20220321.62855-5.1+deb12u2) bookworm; urgency=medium

  * Add patches from upstream for "luatex loses or changes text when
    discretionaries with priorities are used" (Closes: #1041441).
  * Add patch for CVE-2024-25262.

 -- Hilmar Preuße <hille42@debian.org>  Fri, 11 Oct 2024 22:47:45 +0200

texlive-bin (2022.20220321.62855-5.1+deb12u1) bookworm; urgency=medium

  * Stop building *jit* binaries on i386 based arches to make TL installable
    on computers not supporting sse2 (Closes: #1035461).
  * Add patch for CVE-2023-32668: disable socket in luatex by default
    (Closes: #1036470).

 -- Hilmar Preusse <hille42@web.de>  Tue, 27 Jun 2023 22:07:12 +0200

texlive-bin (2022.20220321.62855-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix improperly secured shell-escape in LuaTeX (CVE-2023-32700)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 18 May 2023 23:15:13 +0200

texlive-bin (2022.20220321.62855-5) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Add bug script and bug control file for texlive-binaries.
  * Add Dep on sse2-support, to make sure luatex works
    correctly (Closes: #1023007).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends-Arch: Drop versioned constraint on automake, libpixman-1-dev
      and libzzip-dev.
    + texlive-binaries: Drop versioned constraint on texlive-lang-japanese and
      texlive-metapost in Replaces.
    + texlive-binaries: Drop versioned constraint on texlive-htmlxml in Breaks.
    + libkpathsea6: Drop versioned constraint on texlive-binaries in Breaks.
    + libptexenc1: Drop versioned constraint on texlive-binaries in Breaks.

 -- Hilmar Preusse <hille42@web.de>  Sun, 11 Dec 2022 09:33:59 +0100

texlive-bin (2022.20220321.62855-4) unstable; urgency=medium

  * Separate "indep" and "arch" in d/rules better (Closes: #1012018).

 -- Hilmar Preusse <hille42@web.de>  Sat, 04 Jun 2022 23:44:11 +0200

texlive-bin (2022.20220321.62855-3) unstable; urgency=low

  * Upload to unstable.

 -- Hilmar Preusse <hille42@web.de>  Wed, 01 Jun 2022 09:04:23 +0200

texlive-bin (2022.20220321.62855-2) experimental; urgency=medium

  * Upgrade xpdf code to 4.04 to solve CVE-2021-27548
    (Closes: #1011333).
  * Lintian:
    - Remove obsolete: source-is-missing
    - Add (in general): very-long-line-length-in-source-file
    - Fix spelling errors in manual pages.
    - W: libtexlua53: package-name-doesnt-match-sonames libtexlua53-5
      renamed: libtexlua53-dev -> libtexlua-dev.
      renamed: libtexlua53 -> libtexlua53-5
    - W: bad-whatis-entry usr/share/man/man1/xml2pmx.1.gz
    - W: wrong-manual-section usr/share/man/man1/axohelp.1.gz:1 1 != 1.4

 -- Hilmar Preusse <hille42@web.de>  Sun, 22 May 2022 23:34:38 +0200

texlive-bin (2022.20220321.62855-1) experimental; urgency=medium

  * New upstream TeX Live 2022, upload to experimental.

  * Replace Dep: perl by "perl:any" (Closes: #968906).
  * Much lintian stuff, have a look at "git log" for details.

 -- Hilmar Preusse <hille42@web.de>  Mon, 02 May 2022 12:19:19 +0200
