=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: texlive-bin
 Section: tex
 Priority: optional
-Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>,
 	Hilmar Preusse <hille42@web.de>
 Build-Depends:
@@ -13,7 +14,7 @@
   flex,
   libbrotli-dev,
   libcairo2-dev,
-  libfontconfig1-dev,
+  libfontconfig-dev,
   libfreetype-dev,
   libgmp-dev,
   libgraphite2-dev,
@@ -21,6 +22,7 @@
   libicu-dev,
   libmpfr-dev,
   libpaper-dev,
+  libpotrace-dev,
   libpixman-1-dev,
   libpng-dev,
   libteckit-dev,
@@ -48,14 +50,16 @@
   libsynctex2 (<< ${source:Version}.1~),
   libtexlua53-5 (>= ${source:Version}),
   libtexlua53-5 (<< ${source:Version}.1~),
-  libtexluajit2 (>= ${source:Version}) [amd64 armel armhf kfreebsd-amd64 powerpc],
-  libtexluajit2 (<< ${source:Version}.1~) [amd64 armel armhf kfreebsd-amd64 powerpc],
   t1utils, tex-common, perl:any,
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: texlive-base, dvisvgm
-Replaces: ptex-bin, mendexk, jmpost, luatex (<< 2014), gregorio (<= 2.3-1), texlive-extra-utils (<< 2020.20200329), texlive-luatex (<< 2020.20200329)
+Suggests: texlive-binaries-sse2 [amd64 armel armhf arm64 hurd-i386 i386 powerpc], hintview
+Replaces: ptex-bin, mendexk, jmpost, luatex (<< 2014), gregorio (<= 2.3-1),
+    texlive-extra-utils (<< 2020.20200329), texlive-luatex (<< 2020.20200329)
 Conflicts: mendexk, makejvf, jmpost
-Breaks: texlive-base (<< 2021), luatex (<< 2014), gregorio (<= 2.3-1), texlive-extra-utils (<< 2020.20200329), texlive-luatex (<< 2020.20200329), context (<= 2021.03.05.20230120+dfsg-1)
+Breaks: texlive-base (<< 2021), luatex (<< 2014), gregorio (<= 2.3-1),
+    texlive-extra-utils (<< 2020.20200329), texlive-luatex (<< 2020.20200329),
+    context (<= 2021.03.05.20230120+dfsg-1), texlive-formats-extra (<< 2023.20230613)
 Provides: texlive-base-bin, makejvf, mendexk, jmpost, luatex
 Description: Binaries for TeX Live
  This package contains all the binaries of TeX Live packages.
@@ -64,6 +68,34 @@
  choose the texlive-* packages you want to use, e.g.
  texlive-latex-recommended or context
 
+Package: texlive-binaries-sse2
+Architecture: amd64 armel armhf arm64 hurd-i386 i386 powerpc
+Multi-Arch: foreign
+Depends: libptexenc1 (>= ${source:Version}),
+  libptexenc1 (<< ${source:Version}.1~),
+  libkpathsea6 (>= ${source:Version}),
+  libkpathsea6 (<< ${source:Version}.1~),
+  libsynctex2 (>= ${source:Version}),
+  libsynctex2 (<< ${source:Version}.1~),
+  libtexlua53-5 (>= ${source:Version}),
+  libtexlua53-5 (<< ${source:Version}.1~),
+  libtexluajit2 (>= ${source:Version}) [amd64 armel armhf arm64 hurd-i386 i386 powerpc],
+  libtexluajit2 (<< ${source:Version}.1~) [amd64 armel armhf arm64 hurd-i386 i386 powerpc],
+  sse2-support [i386],
+  t1utils, tex-common, perl:any,
+  ${shlibs:Depends}, ${misc:Depends}, texlive-binaries
+Replaces: texlive-binaries (<= 2023.20230311.66589-4)
+Breaks: texlive-binaries (<= 2023.20230311.66589-4)
+Description: Binaries for TeX Live (the JIT part)
+ This package contains all the binaries of TeX Live packages.
+ .
+ Note that this package alone has hardly any functionality.  Rather,
+ choose the texlive-* packages you want to use, e.g.
+ texlive-latex-recommended or context
+ .
+ This package contains the luajit binaries, which run only on sse2
+ capable CPU's.
+
 Package: libkpathsea6
 Section: libs
 Architecture: any
@@ -79,7 +111,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libkpathsea6 (= ${binary:Version}), ${shlibs:Depends}
+Depends: ${misc:Depends}, libkpathsea6 (= ${binary:Version})
 Description: TeX Live: path search library for TeX (development part)
  This package contains the static library and header files for the
  Kpathsea[rch] library, which implements generic path searching,
@@ -98,7 +130,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libptexenc1 (= ${binary:Version}), ${shlibs:Depends}
+Depends: ${misc:Depends}, libptexenc1 (= ${binary:Version})
 Description: TeX Live: ptex encoding library (development part)
  This package contains the static library and header files for the
  ptexenc library, a library for encoding support in pTeX, a Japanese
@@ -160,7 +192,7 @@
 
 Package: libtexluajit2
 Section: libs
-Architecture: amd64 armel armhf kfreebsd-amd64 powerpc
+Architecture: amd64 armel armhf arm64 hurd-i386 i386 powerpc
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -169,7 +201,7 @@
 
 Package: libtexluajit-dev
 Section: libdevel
-Architecture: amd64 armel armhf kfreebsd-amd64 powerpc
+Architecture: amd64 armel armhf arm64 hurd-i386 i386 powerpc
 Multi-Arch: same
 Depends: ${misc:Depends}, libtexluajit2 (= ${binary:Version})
 Description: TeX Live: LuaJIT, modified for use with LuaJITTeX (development part)
