=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,20 @@
 export SHELL=/bin/bash
 export CONFIG_SHELL=/bin/bash
 
+export DEBIANTMP=debian/tmp
+
 # this ships out the test logs when a test failed, set it in any case
 export VERBOSE=1
+
+# See FEATURE AREAS in dpkg-buildflags(1).
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 #
 # the configure code already checks a lot, but it does not catch
 # all cases. We have now two ways to test for where to build.
 # One by disabling on the other platforms, one by whitelisting
 # and building only on some platforms.
-LUAJIT_GOOD_ARCHS := amd64 armel armhf kfreebsd-amd64 powerpc
+LUAJIT_GOOD_ARCHS := amd64 armel armhf arm64 hurd-i386 i386 powerpc
 
 # In case one wants to build with old automake (<< 1.13.1), the following
 # variable has to be set. By default the debian/control requires high
@@ -80,7 +85,7 @@
 #
 # poppler is used two times in TeX Live:
 # once for pdftex/xetex
-# once for luatex
+# once for luatex -> obsolete, luatex uses pplib
 # - the pdftex/xetex version is controlled via --with-system-xpdf
 # - the luatex version is controlled via --with-system-poppler
 #
@@ -90,6 +95,12 @@
 #	--with-system-poppler			\
 #	--with-system-xpdf			\
 #
+# Status as of 20230913
+# TL upstream stopped using poppler to get pdf support in pdftex
+# and pdftosrc. Instead they use the shipped xpdf "library". The
+# configure option "--with-system-xpdf" does not do anything.
+# https://tug.org/pipermail/tex-live/2023-September/049457.html ff.
+
 # disable-largefile seems to break omegafonts, as they core dump
 # leave it as is for now and see what else pops up
 #	--disable-largefile			\
@@ -153,7 +164,7 @@
 	# Nothing to do here
 
 override_dh_auto_install-arch:
-	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp
+	dh_auto_install -- DESTDIR=$(CURDIR)/$(DEBIANTMP)
 
 override_dh_auto_install-indep:
 	# Nothing to do here
@@ -161,13 +172,13 @@
 override_dh_install-arch:
 	# remove .la files which we do not install, so that dh_install
 	# can work with --fail-missing
-	rm -f debian/tmp/usr/lib/*.la debian/tmp/usr/lib/*/*.la
+	rm -f $(DEBIANTMP)/usr/lib/*.la $(DEBIANTMP)/usr/lib/*/*.la
 	# mv c-auto.h into arch-dependent include path
-	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/kpathsea
-	mv debian/tmp/usr/include/kpathsea/c-auto.h \
-	 	debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/kpathsea/
-	dh_install --sourcedir=$(CURDIR)/debian/tmp
-	dh_missing --sourcedir=$(CURDIR)/debian/tmp --fail-missing
+	mkdir -p $(DEBIANTMP)/usr/include/$(DEB_HOST_MULTIARCH)/kpathsea
+	mv $(DEBIANTMP)/usr/include/kpathsea/c-auto.h \
+		$(DEBIANTMP)/usr/include/$(DEB_HOST_MULTIARCH)/kpathsea/
+	dh_install --sourcedir=$(CURDIR)/$(DEBIANTMP)
+	dh_missing --sourcedir=$(CURDIR)/$(DEBIANTMP) --fail-missing
 
 execute_after_dh_install-arch:
 	# replace xdvi wrapper shell script with perl variant to
@@ -185,6 +196,10 @@
 		dviluatex platex-dev uplatex-dev xelatex-dev amstex ; do \
 	  rm debian/texlive-binaries/usr/share/man/man1/$$i.1* ; \
 	done
+	#
+	# Remove luajit* binaries from texlive-binaries
+	rm -f debian/texlive-binaries/usr/bin/*luajit*
+	rm -f debian/texlive-binaries/usr/share/man/man*/*luajit*
 	#
 	# remove tex4ht links, they are shipped with tl-htmlxml
 	for i in ht htcontext htlatex htmex httex httexi htxelatex htxetex mk4ht xhlatex ; do \
@@ -225,23 +240,3 @@
 endif
 
 override_dh_installdocs-indep:
-	dh_installdocs -plibtexlua53 -plibtexlua53-dev
-
-override_dh_installchangelogs:
-	dh_installchangelogs
-	dh_installchangelogs -plibkpathsea6 -plibkpathsea-dev \
-		texk/kpathsea/ChangeLog
-	dh_installchangelogs -plibptexenc1 -plibptexenc-dev \
-		texk/ptexenc/ChangeLog
-	dh_installchangelogs -plibsynctex2 -plibsynctex-dev \
-		texk/web2c/synctexdir/ChangeLog
-	dh_installchangelogs -plibtexlua53-5 -plibtexlua-dev \
-		libs/lua53/TLpatches/ChangeLog
-ifeq ($(WITHLUAJIT), yes)
-	dh_installchangelogs -plibtexluajit2 -plibtexluajit-dev \
-		libs/luajit/TLpatches/ChangeLog
-endif
-
-override_dh_compress:
-	dh_compress -X.pdf
-
